Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.util
Class FastVector

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  ifs.util.FastVector

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class FastVector

extends Vector

Vector extension with faster enumeration. In `elements()`, no unnecessary check is made.

Version:
  1.0
Author:
  Tomáš Müller
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FastVector()`
`FastVector(Collection c)`
`FastVector(int initialCapacity)`
`FastVector(int initialCapacity, int capacityIncrement)`

Method Summary
`Enumeration` | `elements()`
`String` | `toString()`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### FastVector

    public FastVector()

### FastVector

    public FastVector(int initialCapacity)

### FastVector

    public FastVector(int initialCapacity,
                      int capacityIncrement)

### FastVector

    public FastVector(Collection c)

Method Detail

### elements

    public Enumeration elements()

  Overrides:
    `elements` in class `Vector`

### toString

    public String toString()

  Overrides:
    `toString` in class `Vector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller